require "test/unit"
require "phi"
class TCFrame < Test::Unit::TestCase
  def test_ancestors
    assert_equal Phi::WinControl, Phi::Frame.superclass
  end

  def setup
    @form = Phi::Form.new(:form)
  end

  def test_constraints
    instance = Phi::Frame.new(@form, :frame)
    assert_instance_of Phi::SizeConstraints, instance.constraints
  end
end

